
  ' ROOT$ = "c:\qbasic\"
  OPEN "root.dat" FOR INPUT AS #1
   LINE INPUT #1, ROOT$
  CLOSE #1



CLS
SCREEN 12


AR$ = "F5U10G5"




R = 1
SI = 5

ST:
CLS

DO

LOCATE 1, 1
PRINT "ZDRAW"

L = LEN(DR$)
KE$ = INKEY$


IF KE$ <> "" THEN CLS


IF KE$ = CHR$(8) THEN IF L > 1 THEN DR$ = LEFT$(DR$, L - 3)


IF KE$ = "`" THEN GOTO SAV:

IF KE$ = "K" THEN DR$ = DR$ + "R" + STR$(SI)

IF KE$ = "J" THEN DR$ = DR$ + "L" + STR$(SI)

IF KE$ = "M" THEN DR$ = DR$ + "D" + STR$(SI)

IF KE$ = "I" THEN DR$ = DR$ + "U" + STR$(SI)

IF KE$ = "." THEN R = R + 1: IF R > 360 THEN R = 1

IF KE$ = "," THEN R = R - 1: IF R < 1 THEN R = 360




DRAW "BM320,100C7TA" + STR$(R) + DR$ + AR$









LOOP UNTIL KE$ = CHR$(27)


RUN ROOT$ + "COCOROM.BAS"




SAV:

PRINT "SAVE "; DR$


PRINT

PRINT " FILE NAME"

INPUT "/"; NA$

OPEN ROOT$ + NA$ + ".DRW" FOR OUTPUT AS #1

PRINT #1, DR$

CLOSE #1


PRINT "DONE "

SLEEP

GOTO ST:



